# pandas.read_feather

`pandas.``read_feather`(path, columns=None, use_threads=True)

  Load a feather-format object from the file path.

  Parameters:

  path : str, path object or file-like object

  > Any valid string path is acceptable. The string could be a URL. Valid URL schemes include http, ftp, s3, and file. For file URLs, a host is expected. A local file could be: `file://localhost/path/to/table.feather`.

  > If you want to pass in a path object, pandas accepts any `os.PathLike`.

  > By file-like object, we refer to objects with a `read()` method, such as a file handler (e.g. via builtin `open` function) or `StringIO`.

  columns : sequence, default None

  > If not provided, all columns are read.

  nthreads : int, default 1

  > > Number of CPU threads to use when reading to pandas.DataFrame.

  use_threads : bool, default True

  > > Whether to parallelize reading using multiple threads.

  Returns: | type of object stored in file

Scroll To Top